#ifndef HAZEL_KERNEL_H_
#define HAZEL_KERNEL_H_

#include <kernel/multiboot.h>
#include <kernel/log.h>

#define cpu_relax asm volatile ("pause" ::)
#define CHECK_FLAG(x, n) (x & (1<<n))

typedef struct {
   multi_mmap_t *multi_mmap;
   uint32_t multi_mmap_size;
   uint32_t *mmap;
   uint32_t mmap_size;
   log_method_t log_method;
   uint64_t ticks;
} kernel_ctx_t;

#endif
